Name:		xfce4-mailwatch-plugin
Version:	1.0.1
Release:	1%{?dist}
Summary:	Mail Watcher plugin for the Xfce panel

Group:		User Interface/Desktops
License:	GPL
URL:		http://spuriousinterrupt.org/projects/mailwatch
Source0:	http://spuriousinterrupt.org/files/mailwatch/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.2, libxfcegui4-devel >= 4.2, libxml2-devel
BuildRequires:	gettext
# only enable TLS support if a recent version of gnutls is available
# install libXt for modular X
%if "%fedora" > "4"
BuildRequires:	gnutls-devel >= 1.2.0, libXt-devel
%endif
Requires:	xfce4-panel >= 4.2

%description
Mailwatch is a plugin for the Xfce 4 panel. It is intended to replace the 
current (4.0, 4.2) mail checker plugin in Xfce 4.4. It supports IMAP and POP, 
local mailboxes in Mbox, Maildir and MH-Maildir format as well as Gmail.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/xfce4/panel-plugins/*.so
%{_datadir}/icons/hicolor/48x48/apps/xfce-newmail.png
%{_datadir}/icons/hicolor/48x48/apps/xfce-nomail.png
%{_datadir}/icons/hicolor/scalable/apps/xfce-newmail.svg
%{_datadir}/icons/hicolor/scalable/apps/xfce-nomail.svg
%{_datadir}/xfce4/doc/C/xfce4-mailwatch-plugin.html
%{_datadir}/xfce4/doc/C/images/mailwatch-*.png

%changelog
* Sat Jun 17 2006 Christoph Wickert <fedora wickert at arcor de> - 1.0.1-1
- Update to 1.0.1.

* Mon Apr 10 2006 Christoph Wickert <fedora wickert at arcor de> - 1.0.0-2
- Fix description.
- Fix files section.
- Require xfce4-panel.

* Sat Feb 18 2006 Christoph Wickert <fedora wickert at arcor de> - 1.0.0-1
- Initial Fedora Extras release.
